Run a scheduled process now (a Job from its CronJob template).
POST
/api/v1/projects/{project}/environments/{environment}/apps/{app}/run
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/run';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"process":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/run \ --header 'Content-Type: application/json' \ --data '{ "process": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
app
required
string
App name
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
process
Scheduled process to run (default: the first one).
string | null
Examplegenerated
{ "process": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
job
required
string
Examplegenerated
{ "job": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}